import React from 'react'
import {
	toJS
} from 'mobx'
import {
	inject,
	observer,
} from 'mobx-react'
import {
	WeaAlertPage,
} from 'ecCom'
import {
	Spin,
} from 'antd'
import {
	i18n
} from '../../public/i18n';

import '../../style/rpManage.css'

import Header from './Header';
import Tab from './Tab';
import MainDialog from './MainDialog';

@inject('hrmRpManage')
@observer
export default class RpManage extends React.Component {
	constructor(props) {
		super(props);
	}

	componentWillMount() {
		let bool = window.location.href.indexOf('/spa/hrm/engine.html') > -1;
		if (bool) {
			document.title = i18n.module.rpManage();
		}
	}

	componentWillReceiveProps(nextProps) {
		if (this.props.location.key !== nextProps.location.key) {
			this.props.hrmRpManage.refreshPage();
		}
	}

	componentDidMount() {
		this.init();
	}

	init() {
		const {
			hrmRpManage
		} = this.props, {
			getAuth,
		} = hrmRpManage;

		getAuth();
	}

	render() {
		const {
			hrmRpManage
		} = this.props, {
			main,
		} = hrmRpManage, {
			authorized,
			loading
		} = main;

		if (!authorized) {
			return (
				<div style={{height: '100%'}}>
					{loading ?  <div style={{textAlign:'center'}}>
									<Spin ecId={`${this && this.props && this.props.ecId || ''}_Spin@vkvdtq`} spinning={loading} size='large'></Spin>
								</div>
						     :	<div className="hrm-wea-alert-page">
		                			<WeaAlertPage ecId={`${this && this.props && this.props.ecId || ''}_WeaAlertPage@nphx74`}>
						                <div style={{ color: '#000' }}>
						                    {i18n.message.authFailed()}
						                </div>
		                      		</WeaAlertPage>
	                        	</div>
	                }	
                </div>
			)
		} else {
			return (
				<div style={{height: '100%'}}>
					<Header ecId={`${this && this.props && this.props.ecId || ''}_Header@7c5b0b`}>
						<Tab ecId={`${this && this.props && this.props.ecId || ''}_Tab@p453n8`} />
					</Header>
					<MainDialog ecId={`${this && this.props && this.props.ecId || ''}_MainDialog@u90gay`} />
				</div>
			)
		}
	}


}